=begin
Copyright(C) 2010, kyyu
All Rights Reserved
Permission to use, copy, modify, and distribute this software for any purpose
and without fee is hereby granted, provided this notice appears in any copies.
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED 
WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Name:      		Delete Interior Faces   (ky_Delete_Interior_Faces.rb)
Version:   		1.0
SU Version:   	7.0
Date:      		05-04-2010

Description:   	This plugin deletes all Interior Faces of a part(s)
Usage:      	Select the parts and right click context menu ( [kyyu]/Delete Interior Faces )

History:
			1.0 (05-04-2010)  -  first version
	
=end  

require 'sketchup.rb'

def kyyu_Delete_Interior_Faces
	model = Sketchup.active_model
	ent = model.entities
	sel = model.selection
	
	Sketchup.active_model.start_operation "kyyu Delete Interior Faces" 
	sel.each do |e|
		if e.is_a? Sketchup::Face
			loop = e.outer_loop
			edges = loop.edges
			faces = edges[0].faces
			one = faces.length
			if one > 1 then e.erase! end
		end
	end
	Sketchup.active_model.commit_operation	
end

if( not file_loaded?('ky_Delete_Interior_Faces.rb') )
	if $kyyu_context_submenu == 1
		UI.add_context_menu_handler do |menu|
			$kyyu_ConName.add_item('Delete Interior Faces') { kyyu_Delete_Interior_Faces }
		end
	else
		UI.add_context_menu_handler do |menu|
			$kyyu_ConName=menu.add_submenu('[kyyu]')
			$kyyu_ConName.add_item('Delete Interior Faces') { kyyu_Delete_Interior_Faces }
		end
		$kyyu_context_submenu = 1
	end
end   

# if( not file_loaded?("ky_Delete_Interior_Faces.rb") )
	# UI.add_context_menu_handler do |menu|
		#menu.add_separator if Extend.validate_selection
		# submenu=menu.add_submenu("[kyyu] ")
			# submenu.add_item("Delete Interior Faces") { kyyu_Delete_Interior_Faces }
	# end
# end

#-----------------------------------------------------------------------------
file_loaded('ky_Delete_Interior_Faces.rb')
